# $Id: smeserver-rkhunter.spec,v 1.4 2021/03/29 17:49:09 brianr Exp $

Summary: rkhunter for SME Server
Name: smeserver-rkhunter
%define version 1.4.0
%define release 9
%define displayversion %{version}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: smeserver-rkhunter-%{version}.tar.xz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: rkhunter
#Patch2: smeserver-rkhunter-1.4.0.bz10376.disableupdate.patch
BuildRequires: smeserver-devtools

%description
rkhunter for SME Server

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.4.0-9.sme
- Fix e-smith references in smeserver-rkhunter [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.4.0-8.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Mar 29 2021 Brian Read <brianr@bjsystems.co.uk> 1.4.0-7.sme
- Add Update event to createlinks [SME: 11025]

* Mon Mar 29 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Dec 30 2020 Brian Read <brianr@bjsystems.co.uk> 1.4.0-6.sme
- Revert patch to suppress update as the exploit has been fixed [SME:11025]

* Fri Oct 09 2020 Brian Read <brianr@bjsystems.co.uk> 1.4.0-5.sme
- Import in SME10 tree [SME: 11025 ]

* Thu Jul 06 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.4.0-4.sme
- disabling as default update for rkh because of CVE-2017-7480 [SME: 10376]
- added property updateMirrors to handle this 

* Tue Aug 18 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.4.0-3.sme
- add smeserver-rkhunter-1.4.0.more_options2rkhunter-conf.patch

* Thu Aug 13 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.4.0-2.sme
- change path to rsyslog.conf

* Thu Aug 13 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.4.0-1.sme
- First Import to contribs9

* Tue Sep 17 2013 JP Pialasse <tests@pialasse.com> 1.2.0-10
- Add Update event to createlinks not run in cron daily  [SME: 7800]
- typos in patchs

* Tue Jul 02 2013 JP Pialasse <tests@pialasse.com> 1.2.0-7
- Add Update event to createlinks typo patch correct
- Add Update event to createlinks spare space

* Sun Jun 23 2013 JP Pialasse <tests@pialasse.com> 1.2.0-5
- Add Update event to createlinks email error root@localhost [SME: 7103] 
- adding option for warning mail in .conf
- Patch2

* Thu Jun 20 2013 JP Pialasse <tests@pialasse.com>
- Add Update event to createlinks email error root@localhost [SME: 7103]
- you can set the mail you want with key mail and default is root

* Thu May 14 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-3
- Bump version number in order to move package to SME Contribs [SME: 5172]

* Tue Apr  7 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-2
- Remove quotes in DISABLE_TESTS setting [SME: 5149]

* Fri Apr  3 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-1
- Initial draft of rkhunter for SME Server
- Adjust ALLOW_SSH_ROOT_USER according to sshd PermitRootLogin setting [SME: 3718]

%prep
%setup
#%patch2 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
